from random import randint, seed

sample = [ (0,1), (5,0), (8,3), (3,3), (3,5), (3,2) ]
velkosti = [ None, 2, 3, 7, 18, 50, 100, 200, 1000, 2000, 3000 ]

def gen_random(tid, count, maxval):
    seed(tid)
    points = []
    while len(points) < count:
        x = randint(0,maxval)
        y = randint(0,maxval)
        if (x,y) not in points: points.append( (x,y) )
    return points

def save(tid, points):
    f = open(tid,'w')
    f.write('{}\n'.format(len(points)))
    for x,y in points: f.write('{} {}\n'.format(x,y))
    f.close()

save('00.sample.in',sample)

for batch in range(1,11):
    tid = '{:02d}.a.in'.format(batch)
    points = gen_random( tid, velkosti[batch], 10**4 if batch<=5 else 10**9 )
    save( tid, points )

save('06.b.in',[(x+4,y+7) for x in range(10) for y in range(10)])
save('10.b.in',[(x+42,47) for x in range(3000)])
